CVE-2017-13658

NameCVE-2017-13658
DescriptionIn ImageMagick before 6.9.9-3 and 7.x before 7.0.6-3, there is a missing NULL check in the ReadMATImage function in coders/mat.c, leading to a denial of service (assertion failure and application exit) in the DestroyImageInfo function in MagickCore/image.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1081-1, DLA-1785-1, DLA-2366-1
NVD severitymedium
Debian Bugs870019

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)stretch8:6.9.7.4+dfsg-11+deb9u8vulnerable
stretch (security)8:6.9.7.4+dfsg-11+deb9u10fixed
buster, buster (security)8:6.9.10.23+dfsg-2.1+deb10u1fixed
bullseye, sid8:6.9.11.24+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksourcewheezy8:6.7.7.10-5+deb7u16DLA-1081-1
imagemagicksourcejessie8:6.8.9.9-5+deb8u16DLA-1785-1
imagemagicksourcestretch8:6.9.7.4+dfsg-11+deb9u10DLA-2366-1
imagemagicksource(unstable)8:6.9.7.4+dfsg-14low870019

Notes

https://github.com/ImageMagick/ImageMagick/issues/598
https://github.com/ImageMagick/ImageMagick/commit/e5c063a1007506ba69e97a35effcdef944421c89

Search for package or bug name: Reporting problems